Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Problem with McAfee SiteAdvisor (3.4.0.143) and Firefox (6.x)

  • 7 replies
  • 37 have this problem
  • 1272 views
  • Last reply by ineed2know

more options

Is anyone experiencing problems with McAfee SiteAdvisor, latest version, and Firefox v6? I have to disable SiteAdvisor so that Firefox will run properly. One thing I have noticed is, that with the current version of SiteAdvisor installed, SiteAdvisor is listed in the "Add-ons" in two places ... as an extension and as a plug-in. I don't know if SiteAdvisor was listed twice for previous versions. So .... my main question is .... is McAfee SiteAdvisor an "extension" or a "plug-in" for Firefox ? SiteAdvisor, as an extension, is showing the version of "3.4.0" and as a plug-in the version shown is 3.4.0.135. The current version of SiteAdvisor is v3.4.0.143. Please advise and thanks.

Chosen solution

Lots of problems with Site Advisor version 3.4. Here are 2 long discussions on the McAfee forum:

Firefox has a built-in function, Safe Browsing, that offers a similar function. It warns you when going to a known Phishing or Malware site:


If this reply solves your problem, please click "Solved It" next to this reply when signed-in to the forum.

Read this answer in context 👍 0

All Replies (7)

more options

Try posting in the Site Advisor community forum?
https://community.mcafee.com/community/home/web_email/siteadvisor

The Site Advisor has a checkered past with a multitude of reported problems that program has caused for Firefox users for years, which goes back to before McAfee bought that program from the group which originally developed it.
http://kb.mozillazine.org/Problematic_extensions

more options

Thanks. I look at the links you provided. I did post this at the McAfee Community (blah-blah-blah). I have found that Firefox add-ons https://addons.mozilla.org/en-US/firefox/ has SiteAdvisor Search version 20101120 (Nov 20, 2010). This is totally "un-good"! This add-on needs to be either updated or removed as an add-on. So my question still remains. Is SiteAdvisor supposed to be an add-on or a plug-in?

more options

SiteAdvisor is listed as an extension and as a plug-in in Firefox 4, so this is nothing new.

more options

Chosen Solution

Lots of problems with Site Advisor version 3.4. Here are 2 long discussions on the McAfee forum:

Firefox has a built-in function, Safe Browsing, that offers a similar function. It warns you when going to a known Phishing or Malware site:


If this reply solves your problem, please click "Solved It" next to this reply when signed-in to the forum.

more options

I just installed the 6.0.2 update for Firefox and Thunderbird. Let's see what happens with SiteAdvisor. Also, I will be looking for any new update release for SiteAdvisor as well. For whatever reason, SiteAdvisor and Firefox 6.0.x are "totally" compatible. I am also using the AVG Safe Search as well plus WOT. So, guess I'm covered. Thanks.

more options

Upgraded to Firefox 6.0.2 update a couple of days ago. So far, it's working fine with SiteAdvisor 3.4. (I am running Windows 7).

more options

Previously posted ... "SiteAdvisor and Firefox 6.0.x are "totally" compatible." I meant say is "not 100 percent compatible. I have Windows XP Home (SP3), Firefox 6.0.2 and SiteAdvisor 3.4.0.143. SiteAdvisor does apparently work. The is that, with SiteAdvisor enabled, when I launch Firefox directly, or by another application, such as opening a link in an email (using Thunderbird) or doing a check for updates for an application that needs a connection to the Internet, Firefox does not open correctly. The Firefox "button" appears in the Windows taskbar. I have to CTRL-ALT to open Firefox, or click on the button in the taskbar to open Firefox. I don't know how else to explain this problem. This is more of a "nuisance" problem. Maybe, just maybe, this may be corrected in the next minor update to v6 or in the v7.x release. I don't know. Thanks anyway for responding.